## debdelta 0.55

=== po/Makefile ===

all : messages.pot it.mo fr.mo

messages.pot: ../debdelta Makefile
	xgettext -L Python -d debdelta --from-code=UTF-8 -o messages.pot ../debdelta
	for L in it fr ; do \
		msgmerge --previous -o $$L~new~.po $$L.po messages.pot ; \
		if ! diff -q  $$L~new~.po $$L.po ; then mv $$L~new~.po  $$L.po ; echo Please edit $$L.po ; else rm  $$L~new~.po ; echo No significant changes ; fi ; done


it.mo: it.po
	msgfmt -c -o it.mo~~~~ it.po && mv it.mo~~~~ it.mo

fr.mo: fr.po
	msgfmt -c -o fr.mo~~~~ fr.po && mv fr.mo~~~~ fr.mo


#perche' diavolo non funziona questo?
.po.mo :
	msgfmt -c -o ~~$@~~ $< && mv ~~$@~~ $@




#lib/po/messages.pot : Makefile lib/EElection/*py  lib/EElection/plugins/*py lib/EBallotbox/*py
#        xgettext -o lib/po/messages.pot lib/EElection/*py  lib/EElection/plugins/*py lib/EBallotbox/*py
#        cd lib/po && msgmerge -o itnew.po it.po messages.pot
#        @if ! diff -q  lib/po/itnew.po  lib/po/it.po ; then mv  lib/po/itnew.po  lib/po/it.po ; echo Please edit lib/po/it.po ; else rm    lib/po/itnew.po ; echo No changes ; fi 


#lib/locale/it/LC_MESSAGES/e-election.mo : lib/po/it.po
#        msgfmt -o lib/locale/it/LC_MESSAGES/e-election.mo~~ --statistics lib/po/it.po && mv  lib/locale/it/LC_MESSAGES/e-election.mo~~  lib/locale/it/LC_MESSAGES/e-election.mo

=== debian/changelog ===
debdelta (0.55) unstable; urgency=medium

  * update git location
  * add debian backports to sources.conf

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 30 Nov 2014 18:30:51 +0100

debdelta (0.54) unstable; urgency=medium

  * [INTL:pt] Portuguese translation, thanks to Américo Monteiro
  (Closes: #760731).
  * bump standards version to 3.9.6.0
  * debian/rules : add build-arch, build-indep
  * add new keys into keyring
  * import some code from GIT server branch

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 30 Nov 2014 17:00:39 +0100

debdelta (0.53) experimental; urgency=low

  * merge changes uploaded in wheezy, and changelogs as well
  * Bug fix: "owned and unowned files after purge (policy 6.8 + 10.7.3)",
    thanks to Holger Levsen (Closes: #617481).

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 02 Dec 2012 18:52:15 +0100

debdelta (0.52) experimental; urgency=low

  * debpatch, debdelta-upgrade : do not get confused by broken symlinks
  * enable hardening flags

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 02 Nov 2012 10:08:46 +0100

debdelta (0.51) experimental; urgency=low

  * debdelta, debdeltas: XZ parameter autodetection, detect CRC choice
     and compression

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 12 Sep 2012 16:34:53 +0200

=== debian/control ===
Source: debdelta
Section: devel
Priority: optional
Build-Depends: zlib1g-dev, libbz2-dev
Maintainer: A Mennucc1 <mennucc1@debian.org>
Standards-Version: 3.9.6.0
Homepage: http://debdelta.debian.net
Vcs-git: git://anonscm.debian.org/collab-maint/debdelta.git

Package: debdelta
Architecture: any
Depends: python, bzip2, binutils, ${shlibs:Depends}
Recommends: python-apt, xdelta3, xdelta, lzma, xz-utils, xdelta, bsdiff, gnupg2, gnupg-agent, python-debian
Conflicts: xdelta3 (<< 0y.dfsg-1)
Enhances: cupt
Suggests: debdelta-doc
Description: diff and patch utilities which work with Debian packages
 debdelta is a program suite designed to compute changes between
 Debian packages. These changes (deltas) are similar to the output of the
 "diff" program in that they may be used to store and transmit only the
 changes between Debian packages.
 .
 This suite contains 'debdelta-upgrade', that downloads deltas and use them
 to create all Debian packages needed for an 'apt-get upgrade'.
 It may be used in a Debian/unstable host (to speed up download of new
 packages), or in a Debian/stable host (for security updates).
 .
 Similarly, when this package is installed, the 'cupt' package manager will
 use deltas to upgrade the host.

Package: debdelta-doc
Section: doc
Architecture: all
Recommends: debdelta
Description: diff and patch utilities which work with Debian packages
 debdelta is a program suite designed to compute changes between
 Debian packages. These changes (deltas) are similar to the output of the
 "diff" program in that they may be used to store and transmit only the
 changes between Debian packages.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules file; from GNU Hello,  Copyright 1994,1995 by Ian Jackson.

package = debdelta

D = debian/debdelta

docdir = $(D)/usr/share/doc/$(package)
mandir = $(D)/usr/share/man/man1/

D2 = debian/debdelta-doc

docdir2 = $(D2)/usr/share/doc/$(package)
docdir2doc = $(D2)/usr/share/doc/$(package)-doc

CC = gcc

INSTALL_PROGRAM = install

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  INSTALL_PROGRAM += -s
endif

minibzip2: minigzip.c
	$(CC) -DBZIP $(CFLAGS) $(CPPFLAGS) minigzip.c -o minibzip2  $(LDFLAGS) -lbz2

minigzip: minigzip.c
	$(CC) $(CFLAGS) $(CPPFLAGS) minigzip.c -o minigzip $(LDFLAGS) -lz

build-arch: minibzip2 minigzip
	$(checkdir)
	touch build

build-indep:

build: build-arch build-indep

clean:
	$(checkdir)
	rm -f build *~ */*~ debian/files* debian/substvars
	rm -f minigzip minibzip2
	rm -rf $(D) $(D2)

binary-indep:	checkroot build
	$(checkdir)
	rm -rf $(D2)
	install -d $(D2)/DEBIAN  $(docdir2)  $(docdir2doc)
	cp doc/debdelta_suite.pdf debian/copyright debian/changelog $(docdir2doc)
	cd $(docdir2doc) && gzip -9 changelog
	cp -r doc/html  $(docdir2doc)
	ln -s ../debdelta-doc/debdelta_suite.pdf  $(docdir2)
	ln -s ../debdelta-doc/html  $(docdir2)
	# build package
	dpkg-gencontrol -Pdebian/debdelta-doc -pdebdelta-doc
	chown -R root:root $(D2)
	dpkg-deb --build $(D2) ..

binary-arch:	checkroot build
	$(checkdir)
	rm -rf $(D)
	# dirs
	install -d $(D)/DEBIAN $(D)/usr/bin $(docdir) $(mandir) $(D)/usr/lib/debdelta $(D)/usr/share/debdelta $(D)/usr/share/keyrings $(D)/usr/share/locale/it/LC_MESSAGES $(D)/usr/share/locale/fr/LC_MESSAGES
	# control
	install -m 755 debian/postrm $(D)/DEBIAN/
	install -m 755 debian/postinst $(D)/DEBIAN/
	# /usr/share
	cp po/it.mo $(D)/usr/share/locale/it/LC_MESSAGES/debdelta.mo
	cp po/fr.mo $(D)/usr/share/locale/fr/LC_MESSAGES/debdelta.mo
	install debpatch.sh $(D)/usr/share/debdelta
	install contrib/debmirror-delta-security $(D)/usr/share/debdelta/
	install contrib/debmirror-marshal-deltas $(D)/usr/share/debdelta/
	install contrib/debmarshal_list_useless_debs $(D)/usr/share/debdelta/
	install contrib/dpkg-sig $(D)/usr/share/debdelta
	cp contrib/debmirror*trash_option.patch  $(D)/usr/share/debdelta
	ln -s ../../bin/debdelta  $(D)/usr/share/debdelta/debpatch-url
	cp keyrings/pub.gpg $(D)/usr/share/keyrings/debian-debdelta-archive-keyring.gpg
	chmod 0644 $(D)/usr/share/keyrings/debian-debdelta-archive-keyring.gpg
	# /usr/lib
	$(INSTALL_PROGRAM)  minigzip $(D)/usr/lib/debdelta/minigzip
	$(INSTALL_PROGRAM)  minibzip2 $(D)/usr/lib/debdelta/minibzip2
	# /etc
	install -d $(D)/etc/debdelta
	cp etc/sources.conf $(D)/etc/debdelta/sources.conf
	echo /etc/debdelta/sources.conf >> $(D)/DEBIAN/conffiles
	# /usr/bin
	install debdelta $(D)/usr/bin/debdelta
	ln -s debdelta  $(D)/usr/bin/debpatch
	ln -s debdelta  $(D)/usr/bin/debdeltas
	ln -s debdelta  $(D)/usr/bin/debdelta-upgrade
	# /usr/share/doc
	cp FAQ README.features debian/copyright debian/changelog $(docdir)
	cd $(docdir) && gzip -9 changelog FAQ
	# man
	cp *.1 $(mandir)
	gzip -9 $(mandir)/*.1 
	# build package
	dpkg-shlibdeps $(D)/usr/lib/debdelta/minigzip  $(D)/usr/lib/debdelta/minibzip2
	dpkg-gencontrol -Pdebian/debdelta -pdebdelta
	chown -R root:root $(D)
	dpkg-deb --build $(D) ..

define checkdir
	test -f debdelta -a -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test $$(id -u) = 0

.PHONY: binary binary-arch binary-indep clean checkroot

## debdelta 0.56

=== debian/changelog ===
debdelta (0.56) unstable; urgency=medium

  * sets the mtimes of built files, for reproducible metadata,
    thanks Maria Valentina Marin (Closes: 793004)
  * use  gzip -n  for reproducible builds,
    thanks Chris Lamb (Closes: #777730)
  * Add timeout option to debdelta-upgrade,
    thanks Mert Dirik (Closes: 735142)
  * Allow applying patches to unpacked .debs in locations other than /.
    thanks Colin Watson (Closes: 710398)
  * support i386 packages in amd64 hosts,
    Thanks Carlos Maddela (Closes: #740552)
  * Fix guessing of xz parameters for files compressed in parallel,
    Thanks Carlos Maddela (Closes: #845173)
  * merge server git branch and client git branch
  * new 2017 signing gpg key

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 01 Jan 2017 23:58:49 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 package = debdelta
 
 D = debian/debdelta
+
+BUILD_DATE := $(shell dpkg-parsechangelog --show-field Date)
 
 docdir = $(D)/usr/share/doc/$(package)
 mandir = $(D)/usr/share/man/man1/
@@ -51,13 +53,15 @@
 	rm -rf $(D2)
 	install -d $(D2)/DEBIAN  $(docdir2)  $(docdir2doc)
 	cp doc/debdelta_suite.pdf debian/copyright debian/changelog $(docdir2doc)
-	cd $(docdir2doc) && gzip -9 changelog
+	cd $(docdir2doc) && gzip -9n changelog
 	cp -r doc/html  $(docdir2doc)
 	ln -s ../debdelta-doc/debdelta_suite.pdf  $(docdir2)
 	ln -s ../debdelta-doc/html  $(docdir2)
 	# build package
 	dpkg-gencontrol -Pdebian/debdelta-doc -pdebdelta-doc
 	chown -R root:root $(D2)
+	find debian/debdelta-doc -newermt '$(BUILD_DATE)' -print0 | \
+		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
 	dpkg-deb --build $(D2) ..
 
 binary-arch:	checkroot build
@@ -94,14 +98,16 @@
 	ln -s debdelta  $(D)/usr/bin/debdelta-upgrade
 	# /usr/share/doc
 	cp FAQ README.features debian/copyright debian/changelog $(docdir)
-	cd $(docdir) && gzip -9 changelog FAQ
+	cd $(docdir) && gzip -9n changelog FAQ
 	# man
 	cp *.1 $(mandir)
-	gzip -9 $(mandir)/*.1 
+	gzip -9n $(mandir)/*.1 
 	# build package
 	dpkg-shlibdeps $(D)/usr/lib/debdelta/minigzip  $(D)/usr/lib/debdelta/minibzip2
 	dpkg-gencontrol -Pdebian/debdelta -pdebdelta
 	chown -R root:root $(D)
+	find debian/debdelta -newermt '$(BUILD_DATE)' -print0 | \
+		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
 	dpkg-deb --build $(D) ..
 
 define checkdir

## debdelta 0.59

=== debian/changelog ===
debdelta (0.59) unstable; urgency=medium

  * really bump standards version to 3.9.8
  * correct typo in copyright
  * fix code for small debs, do not check for stamps
  * Bug fix: "local variable 'url' referenced before assignment",
    thanks to Steffen Weinhart, (Closes: #708022).
  * Add 'set -e' in debian/rules. Thanks Niels Thykier
  * correct wrong message 'No deb-policy "u" ....' Thanks Niels Thykier

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 08 Feb 2017 11:28:50 +0100

debdelta (0.58exp) experimental; urgency=medium

  * Bug fix: "cannot handle redirects",
    thanks to Paul Wise (Closes: #835655).
  * Bug fix: "Portuguese translation not packaged",
    thanks to Carlos Maddela (Closes: #849908).
  * Bug fix: "[INTL:pt] Updated Portuguese translation for program",
    thanks to Miguel Figueiredo (Closes: #852087).
  * Installation leaves gpg-agent process running
    Thanks Andreas Beckmann (Closes: #85135).
  * Various code fixes.
  * Lintian fixes:
    - rewrite copyright using  copyright-format/1.0/
    - bump standards version to 3.9.8

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 06 Feb 2017 12:49:20 +0100

debdelta (0.57) unreleased; urgency=medium

  * Autodetect and install all available translations.
    Thanks Carlos Maddela. Closes: #849908
  * Update Italian translation.
  * Fix guessing of xz parameters for dbgsym files.
  * debdelta-upgrade: explain why the delta is not available; and also add
    corresponding --deb-policies.
    Thanks  shirish शिरीष . Closes: #779897
  * debdelta-upgrade handles redirects. Thanks Paul Wise. Closes: #835655

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 07 Jan 2017 18:16:32 +0100

## debdelta 0.61

=== debian/changelog ===
debdelta (0.61) unstable; urgency=medium

  * support for control.tar.xz
  * debdelta-upgrade: report if delta is queued in the server but not yet ready

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 11 Apr 2018 10:56:36 +0200

debdelta (0.60) unstable; urgency=medium

  * better support for  httpredir.debian.org

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 12 Oct 2017 12:41:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: zlib1g-dev, libbz2-dev
 Maintainer: A Mennucc1 <mennucc1@debian.org>
-Standards-Version: 3.9.6.0
+Standards-Version: 3.9.8
 Homepage: http://debdelta.debian.net
 Vcs-git: git://anonscm.debian.org/collab-maint/debdelta.git

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,10 @@
 
 docdir2 = $(D2)/usr/share/doc/$(package)
 docdir2doc = $(D2)/usr/share/doc/$(package)-doc
+
+PO_FILES := $(wildcard po/*.po)
+MO_FILES := $(patsubst %.po,%.mo,$(PO_FILES))
+LANGS := $(patsubst po/%.po,%,$(PO_FILES))
 
 CC = gcc
 
@@ -68,13 +72,13 @@
 	$(checkdir)
 	rm -rf $(D)
 	# dirs
-	install -d $(D)/DEBIAN $(D)/usr/bin $(docdir) $(mandir) $(D)/usr/lib/debdelta $(D)/usr/share/debdelta $(D)/usr/share/keyrings $(D)/usr/share/locale/it/LC_MESSAGES $(D)/usr/share/locale/fr/LC_MESSAGES
+	install -d $(D)/DEBIAN $(D)/usr/bin $(docdir) $(mandir) $(D)/usr/lib/debdelta $(D)/usr/share/debdelta $(D)/usr/share/keyrings
+	set -e ; for L in $(LANGS) ; do install -d $(D)/usr/share/locale/$${L}/LC_MESSAGES ; done
 	# control
 	install -m 755 debian/postrm $(D)/DEBIAN/
 	install -m 755 debian/postinst $(D)/DEBIAN/
 	# /usr/share
-	cp po/it.mo $(D)/usr/share/locale/it/LC_MESSAGES/debdelta.mo
-	cp po/fr.mo $(D)/usr/share/locale/fr/LC_MESSAGES/debdelta.mo
+	set -e ; for L in $(LANGS) ; do 	cp po/$${L}.mo $(D)/usr/share/locale/$${L}/LC_MESSAGES/debdelta.mo ; done
 	install debpatch.sh $(D)/usr/share/debdelta
 	install contrib/debmirror-delta-security $(D)/usr/share/debdelta/
 	install contrib/debmirror-marshal-deltas $(D)/usr/share/debdelta/

## debdelta 0.62

=== debian/changelog ===
debdelta (0.62) unstable; urgency=medium

  * update Vcs-git to point to salsa

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 06 Jun 2018 09:22:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Maintainer: A Mennucc1 <mennucc1@debian.org>
 Standards-Version: 3.9.8
 Homepage: http://debdelta.debian.net
-Vcs-git: git://anonscm.debian.org/collab-maint/debdelta.git
+Vcs-git: https://salsa.debian.org/mennucc1/debdelta.git
 
 Package: debdelta
 Architecture: any

## debdelta 0.65

=== debian/changelog ===
debdelta (0.65) unstable; urgency=medium

  * Switch to dpkg-source 3.0 (native) format
  * debian/rules : use `cp -p` and `chmod`
  * bump standards version to 4.4.1

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 23 Dec 2019 17:56:32 +0100

debdelta (0.64) unstable; urgency=medium

  * add new gnupg key
  * some patches debdeltas_server
  * uses Python3, this fixes "Python2 removal in sid/bullseye", thanks to Sandro Tosi
    (Closes: #945657)
  * python-poster is not used anymore (Closes: 700969)
  * error logs are not sent (Closes: 737810)
  * Fix FTCBFS: Use host tools. (Closes: 905754) Thanks Helmut Grohne <helmut@subdivi.de>

 -- A Mennucc1 <mennucc1@debian.org>  Fri, 13 Dec 2019 22:20:11 +0100

=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,10 @@
 MO_FILES := $(patsubst %.po,%.mo,$(PO_FILES))
 LANGS := $(patsubst po/%.po,%,$(PO_FILES))
 
-CC = gcc
-
-INSTALL_PROGRAM = install
+include /usr/share/dpkg/architecture.mk
+-include /usr/share/dpkg/buildtools.mk
+STRIP = $(DEB_HOST_GNU_TYPE)-strip
+INSTALL_PROGRAM = install --strip-program=$(STRIP)
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
@@ -56,9 +57,10 @@
 	$(checkdir)
 	rm -rf $(D2)
 	install -d $(D2)/DEBIAN  $(docdir2)  $(docdir2doc)
-	cp doc/debdelta_suite.pdf debian/copyright debian/changelog $(docdir2doc)
+	cp -p doc/debdelta_suite.pdf debian/copyright debian/changelog $(docdir2doc)
+	chmod -c 0644 $(docdir2doc)/*
 	cd $(docdir2doc) && gzip -9n changelog
-	cp -r doc/html  $(docdir2doc)
+	cp -rp doc/html  $(docdir2doc)
 	ln -s ../debdelta-doc/debdelta_suite.pdf  $(docdir2)
 	ln -s ../debdelta-doc/html  $(docdir2)
 	# build package
@@ -78,22 +80,23 @@
 	install -m 755 debian/postrm $(D)/DEBIAN/
 	install -m 755 debian/postinst $(D)/DEBIAN/
 	# /usr/share
-	set -e ; for L in $(LANGS) ; do 	cp po/$${L}.mo $(D)/usr/share/locale/$${L}/LC_MESSAGES/debdelta.mo ; done
+	set -e ; for L in $(LANGS) ; do cp -p po/$${L}.mo $(D)/usr/share/locale/$${L}/LC_MESSAGES/debdelta.mo ; chmod -c 0644 $(D)/usr/share/locale/$${L}/LC_MESSAGES/debdelta.mo ; done
 	install debpatch.sh $(D)/usr/share/debdelta
 	install contrib/debmirror-delta-security $(D)/usr/share/debdelta/
 	install contrib/debmirror-marshal-deltas $(D)/usr/share/debdelta/
 	install contrib/debmarshal_list_useless_debs $(D)/usr/share/debdelta/
 	install contrib/dpkg-sig $(D)/usr/share/debdelta
-	cp contrib/debmirror*trash_option.patch  $(D)/usr/share/debdelta
+	cp -p contrib/debmirror*trash_option.patch  $(D)/usr/share/debdelta
 	ln -s ../../bin/debdelta  $(D)/usr/share/debdelta/debpatch-url
-	cp keyrings/pub.gpg $(D)/usr/share/keyrings/debian-debdelta-archive-keyring.gpg
-	chmod 0644 $(D)/usr/share/keyrings/debian-debdelta-archive-keyring.gpg
+	cp -p keyrings/pubring.gpg $(D)/usr/share/keyrings/debian-debdelta-archive-keyring.gpg
+	chmod 0644 -c $(D)/usr/share/keyrings/debian-debdelta-archive-keyring.gpg
 	# /usr/lib
 	$(INSTALL_PROGRAM)  minigzip $(D)/usr/lib/debdelta/minigzip
 	$(INSTALL_PROGRAM)  minibzip2 $(D)/usr/lib/debdelta/minibzip2
 	# /etc
 	install -d $(D)/etc/debdelta
-	cp etc/sources.conf $(D)/etc/debdelta/sources.conf
+	cp -p etc/sources.conf $(D)/etc/debdelta/sources.conf
+	chmod -c 0644  $(D)/etc/debdelta/sources.conf
 	echo /etc/debdelta/sources.conf >> $(D)/DEBIAN/conffiles
 	# /usr/bin
 	install debdelta $(D)/usr/bin/debdelta
@@ -101,10 +104,12 @@
 	ln -s debdelta  $(D)/usr/bin/debdeltas
 	ln -s debdelta  $(D)/usr/bin/debdelta-upgrade
 	# /usr/share/doc
-	cp FAQ README.features debian/copyright debian/changelog $(docdir)
+	cp -p FAQ README.features debian/copyright debian/changelog $(docdir)
+	chmod -c 0644 $(docdir)/*
 	cd $(docdir) && gzip -9n changelog FAQ
 	# man
-	cp *.1 $(mandir)
+	cp -p *.1 $(mandir)
+	chmod -c 0644 $(mandir)*.1
 	gzip -9n $(mandir)/*.1 
 	# build package
 	dpkg-shlibdeps $(D)/usr/lib/debdelta/minigzip  $(D)/usr/lib/debdelta/minibzip2

## debdelta 0.65+nmu1

=== debian/changelog ===
debdelta (0.65+nmu1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix "DeprecationWarning: isAlive() is deprecated, use is_alive()
    instead" (Closes: #962203, #954420)

 -- Calum McConnell <calumlikesapplepie@gmail.com>  Fri, 01 Jan 2021 17:15:42 -0500

## debdelta 0.67

=== po/Makefile ===
--- 
+++ 
@@ -1,26 +1,19 @@
+PO_FILES := $(wildcard *.po)
+MO_FILES := $(patsubst %.po,%.mo,$(PO_FILES))
+LANGS := $(patsubst %.po,%,$(PO_FILES))
 
-all : messages.pot it.mo fr.mo
+all : messages.pot $(MO_FILES)
 
 messages.pot: ../debdelta Makefile
 	xgettext -L Python -d debdelta --from-code=UTF-8 -o messages.pot ../debdelta
-	for L in it fr ; do \
+	for L in $(LANGS) ; do \
 		msgmerge --previous -o $$L~new~.po $$L.po messages.pot ; \
 		if ! diff -q  $$L~new~.po $$L.po ; then mv $$L~new~.po  $$L.po ; echo Please edit $$L.po ; else rm  $$L~new~.po ; echo No significant changes ; fi ; done
 
-
-it.mo: it.po
-	msgfmt -c -o it.mo~~~~ it.po && mv it.mo~~~~ it.mo
-
-fr.mo: fr.po
-	msgfmt -c -o fr.mo~~~~ fr.po && mv fr.mo~~~~ fr.mo
-
-
-#perche' diavolo non funziona questo?
 .po.mo :
 	msgfmt -c -o ~~$@~~ $< && mv ~~$@~~ $@
 
-
-
+.SUFFIXES: .po .mo
 
 #lib/po/messages.pot : Makefile lib/EElection/*py  lib/EElection/plugins/*py lib/EBallotbox/*py
 #        xgettext -o lib/po/messages.pot lib/EElection/*py  lib/EElection/plugins/*py lib/EBallotbox/*py

=== debian/changelog ===
debdelta (0.67) unstable; urgency=medium

  * Bug fix: "Ensure correct mode of html documentation and shipped
    patches.", thanks to Vagrant Cascadian (Closes: #970893).

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 23 Jan 2021 21:15:27 +0100

debdelta (0.66) unstable; urgency=medium

  * thanks Calum for NMU  (Closes: #962203, #954420)
  * many fixes for Python3 compatibility
  * add 2023 signing key
  * server code autoselects oldest non-expired gpg key

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 20 Jan 2021 08:31:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Build-Depends: zlib1g-dev, libbz2-dev
 Maintainer: A Mennucc1 <mennucc1@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.4.1
 Homepage: http://debdelta.debian.net
 Vcs-git: https://salsa.debian.org/mennucc1/debdelta.git
 
 Package: debdelta
 Architecture: any
-Depends: python, bzip2, binutils, ${shlibs:Depends}
-Recommends: python-apt, xdelta3, xdelta, lzma, xz-utils, xdelta, bsdiff, gnupg2, gnupg-agent, python-debian
+Depends: python3, python3-requests, bzip2, binutils, ${shlibs:Depends}
+Recommends: python3-apt, xdelta3, xdelta, lzma, xz-utils, xdelta, bsdiff, gnupg2, gnupg-agent, python3-debian
 Conflicts: xdelta3 (<< 0y.dfsg-1)
 Enhances: cupt
 Suggests: debdelta-doc

=== debian/rules ===
--- 
+++ 
@@ -68,6 +68,9 @@
 	chown -R root:root $(D2)
 	find debian/debdelta-doc -newermt '$(BUILD_DATE)' -print0 | \
 		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
+	# Ensure correct mode for files for reproducible builds
+	chmod -c 0755 $(docdir2doc)/html/
+	chmod -c 0644 $(docdir2doc)/html/*
 	dpkg-deb --build $(D2) ..
 
 binary-arch:	checkroot build
@@ -117,6 +120,8 @@
 	chown -R root:root $(D)
 	find debian/debdelta -newermt '$(BUILD_DATE)' -print0 | \
 		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
+	# Ensure correct mode for files for reproducible builds
+	chmod -c 0644 $(D)/usr/share/debdelta/*.patch
 	dpkg-deb --build $(D) ..
 
 define checkdir

## debdelta 0.70~bpo11+1

=== debian/changelog ===
debdelta (0.70~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 02 Jan 2024 11:59:47 +0100

debdelta (0.70) unstable; urgency=medium

  * update documentation
  * debdelta: do not warn when tar is in PAX format
  * debdelta-upgrade bugfix: properly scan deltas for info file
  * the server was updated and many bugs were fixed, see
    http://debdelta.debian.net/

 -- A Mennucc1 <mennucc1@debian.org>  Tue, 02 Jan 2024 09:02:03 +0100

debdelta (0.69) unstable; urgency=medium

  * bump standards version to 4.6.2 (no changes)
  * correct git address in copyright

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 10 Dec 2023 12:26:23 +0100

debdelta (0.68) unstable; urgency=medium

  * add 2027 signing key
  * support https. Thanks Steven De Herdt  (Closes: #901813).
  * Do not uri-quote deb package names, closes
    "Difference in current filename packaging conventions leads
    to downloads being ignored by apt", thanks to Yuri D'Elia, Luke Ross
    (Closes: #1003824).
    "debdelta-upgrade changes filenames; replaces [...]
     but debs are correct.", thanks to R S Chakravarti
    (Closes: #1012735).
  * do not double-url-quote, properly download debs (when deb-policy permits)
  * include the non-free-firmware component;
    thanks to Ben Morris (Closes: #1030391).
  * depends on gnupg not gnupg2
    Thanks  Andreas Metzler (Closes: #1055398).

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 02 Dec 2023 13:59:32 +0100

## debdelta 0.70

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Build-Depends: zlib1g-dev, libbz2-dev
 Maintainer: A Mennucc1 <mennucc1@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Homepage: http://debdelta.debian.net
 Vcs-git: https://salsa.debian.org/mennucc1/debdelta.git
 
 Package: debdelta
 Architecture: any
 Depends: python3, python3-requests, bzip2, binutils, ${shlibs:Depends}
-Recommends: python3-apt, xdelta3, xdelta, lzma, xz-utils, xdelta, bsdiff, gnupg2, gnupg-agent, python3-debian
+Recommends: python3-apt, xdelta3, xdelta, lzma, xz-utils, xdelta, bsdiff, gnupg, gnupg-agent, python3-debian
 Conflicts: xdelta3 (<< 0y.dfsg-1)
 Enhances: cupt
 Suggests: debdelta-doc

## debdelta 0.70%2Bnmu2

=== debian/changelog ===
debdelta (0.70+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096514)

 -- Adrian Bunk <bunk@debian.org>  Mon, 22 Sep 2025 13:46:29 +0300

debdelta (0.70+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Have debdelta build without requiring root.

 -- Niels Thykier <niels@thykier.net>  Fri, 03 Jan 2025 05:10:43 +0000

## debdelta 0.70%2Bnmu2build1

=== debian/changelog ===
debdelta (0.70+nmu2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Fri, 06 Feb 2026 21:13:08 +0100

## debdelta 0.70+nmu1

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	rm -f minigzip minibzip2
 	rm -rf $(D) $(D2)
 
-binary-indep:	checkroot build
+binary-indep:	build
 	$(checkdir)
 	rm -rf $(D2)
 	install -d $(D2)/DEBIAN  $(docdir2)  $(docdir2doc)
@@ -65,15 +65,14 @@
 	ln -s ../debdelta-doc/html  $(docdir2)
 	# build package
 	dpkg-gencontrol -Pdebian/debdelta-doc -pdebdelta-doc
-	chown -R root:root $(D2)
 	find debian/debdelta-doc -newermt '$(BUILD_DATE)' -print0 | \
 		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
 	# Ensure correct mode for files for reproducible builds
 	chmod -c 0755 $(docdir2doc)/html/
 	chmod -c 0644 $(docdir2doc)/html/*
-	dpkg-deb --build $(D2) ..
+	dpkg-deb --root-owner-group --build $(D2) ..
 
-binary-arch:	checkroot build
+binary-arch:	build
 	$(checkdir)
 	rm -rf $(D)
 	# dirs
@@ -117,12 +116,11 @@
 	# build package
 	dpkg-shlibdeps $(D)/usr/lib/debdelta/minigzip  $(D)/usr/lib/debdelta/minibzip2
 	dpkg-gencontrol -Pdebian/debdelta -pdebdelta
-	chown -R root:root $(D)
 	find debian/debdelta -newermt '$(BUILD_DATE)' -print0 | \
 		xargs -0r touch --no-dereference --date='$(BUILD_DATE)'
 	# Ensure correct mode for files for reproducible builds
 	chmod -c 0644 $(D)/usr/share/debdelta/*.patch
-	dpkg-deb --build $(D) ..
+	dpkg-deb --root-owner-group --build $(D) ..
 
 define checkdir
 	test -f debdelta -a -f debian/rules
@@ -130,8 +128,4 @@
 
 binary: binary-indep binary-arch
 
-checkroot:
-	$(checkdir)
-	test $$(id -u) = 0
-
 .PHONY: binary binary-arch binary-indep clean checkroot

## debdelta 0.70+nmu2

=== doc/Makefile ===
all: html/index.html debdelta_suite.pdf

html:
	mkdir html

html/index.html: html debdelta_suite.xml
	rm -f html/*.html
	docbook2html -o html debdelta_suite.xml

debdelta_suite.pdf: debdelta_suite.xml
	docbook2pdf debdelta_suite.xml

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Build-Depends: zlib1g-dev, libbz2-dev
 Maintainer: A Mennucc1 <mennucc1@debian.org>
+Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: http://debdelta.debian.net
 Vcs-git: https://salsa.debian.org/mennucc1/debdelta.git

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 INSTALL_PROGRAM = install --strip-program=$(STRIP)
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) -std=gnu17
 CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
 LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
